#ifndef SHARED_GRADE_BOOK_CALCULATION_UTIL_H
#define SHARED_GRADE_BOOK_CALCULATION_UTIL_H 1
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#include <sqlite3.h>

#include "../global.h"
#include "../grade.h"

#include "shared_grade_book_db.h"
#include "shared_grade_book_util.h"

extern GRADE_BOOK_CONFIGURE global_grade_conf;


void get_items_min_avg_max(CONFIG_STRUCT *conf, const char *my_db);
TOTAL_GRADE *calculate_total_grades(P_NODE *person_list, CONFIG_STRUCT *conf, const char *my_db);
void  get_one_student_grade(double total, char *grade);
  
double whole_number(double x);

double nearest_tenth(double x);
#endif
